While using pyttsx 3 I am having the following ERROR i have installed pypiwin32

+1 vote

My Program :

import pyttsx3
engine = pyttsx3.init()
engine.say('Welcome')
engine.runAndWait()

ERROR :

Traceback (most recent call last):
  File "C:\Users\prag1\AppData\Roaming\Python\Python38\site-packages\pyttsx3\__init__.py", line 20, in init
    eng = _activeEngines[driverName]
  File "C:\Program Files\Python38\lib\weakref.py", line 131, in __getitem__
    o = self.data[key]()
KeyError: None
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "e:/PYTHON PROJECTS/voice.py", line 2, in <module>
    engine = pyttsx3.init()
  File "C:\Users\prag1\AppData\Roaming\Python\Python38\site-packages\pyttsx3\__init__.py", line 22, in init
    eng = Engine(driverName, debug)
  File "C:\Users\prag1\AppData\Roaming\Python\Python38\site-packages\pyttsx3\engine.py", line 30, in __init__
    self.proxy = driver.DriverProxy(weakref.proxy(self), driverName, debug)
  File "C:\Users\prag1\AppData\Roaming\Python\Python38\site-packages\pyttsx3\driver.py", line 50, in __init__
    self._module = importlib.import_module(name)
  File "C:\Program Files\Python38\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 783, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\prag1\AppData\Roaming\Python\Python38\site-packages\pyttsx3\drivers\sapi5.py", line 10, in <module>
    import pythoncom
  File "C:\Users\prag1\AppData\Roaming\Python\Python38\site-packages\pythoncom.py", line 2, in <module>
    import pywintypes
  File "C:\Users\prag1\AppData\Roaming\Python\Python38\site-packages\win32\lib\pywintypes.py", line 136, in <module>
    __import_pywin32_system_module__("pywintypes", globals())
  File "C:\Users\prag1\AppData\Roaming\Python\Python38\site-packages\win32\lib\pywintypes.py", line 110, in __import_pywin32_system_module__
    raise ImportError("No system module '%s' (%s)" % (modname, filename))
ImportError: No system module 'pywintypes' (pywintypes38.dll)

PLEASE HELP !!

Jul 12, 2020 in Python by anonymous
• 130 points

edited Jul 13, 2020 by MD 2,584 views

3 answers to this question.

0 votes

Hi,

Try to uninstall your pyttsx3 module form your system and again reinstall it using the below command.

$ pip install pyttsx3

If you will get the same error, then try to install the below module.

$ pip install pypiwin32
answered Jul 13, 2020 by MD
• 95,140 points
Done but getting the same problem

Hi, @Mudit,

Did you try Niroj's solution which is given-below!! Try doing that once!

Hello, @Mudit,

You can copy the DLL pywintypes27.dll in C:\Python27\Lib\site-packages\pywin32_system32.
I added it to win32/lib.

Made a check for package pypiwin32, which it is actually installed. 

C:\Users\JKN010\AppData\Roaming\Python\Python38\site-packages\pywin32_system32

Then copy the files 'pythoncom38.dll' and 'pywintypes38.dll' over to:

C:\Users\JKN010\AppData\Roaming\Python\Python38\site-packages\win32\lib 

Hope it helps!

0 votes

Hello,

You can try this:

pip install pyttsx3

or,You can try this:

pip install pypiwin32

With pywin32 build 219 installed via conda on python 2.7, importing pythoncom fails with

ImportError: No system module 'pywintypes' (pywintypes27.dll)

The issue is that the library pywintypes27.dll is stored not in

pathtovenv\lib\site-packages\win32\lib\pywintypes27.dll

but in

pathtovenv\lib\site-packages\win32\pywintypes27.dll

Adding in the file win32\lib\pywintypes.py the elif part herebelow solves the issue

python:

if found is None:
    # Not in the Python directory?  Maybe we were installed via
    # easy_install...
    if os.path.isfile(os.path.join(os.path.dirname(__file__), filename)):
        found = os.path.join(os.path.dirname(__file__), filename)
    elif os.path.isfile(os.path.join(os.path.dirname(__file__), "..", filename)):
        found = os.path.join(os.path.dirname(__file__), "..", filename)

Hope it helps!!

Thank you!!

answered Jul 13, 2020 by Niroj
• 82,680 points
0 votes
Try this:

pip uninstall pyttsx3

Then:

pip install pyttsx3==2.71
answered Aug 12, 2020 by Eghosa
Thanks it worked!!
The solution is not helpful. Please help..

Hi, @Ayush,

Are you facing the same error which is mentioned above? Kindly share your workaround.

Thank u bro it works perfectly

Related Questions In Python

0 votes
0 answers

I am trying to install PyBase64 on my python 3.8. But I end up with the following error:

$ pip install pybase ERROR: Could not find ...READ MORE

Mar 24, 2020 in Python by Nishant
• 210 points
622 views
0 votes
1 answer

I am trying to install os-win on my python 3.8. But I end up with the following error:

I have the same issue and is ...READ MORE

answered Sep 6, 2020 in Python by anonymous
1,815 views
+1 vote
1 answer
0 votes
1 answer

Python interpreter error: I have installed Python 3.8 but it shows version 3.7

Hi, While installing Python 3.8 there was a box ...READ MORE

answered Jul 2, 2020 in Python by Gitika
• 65,870 points
918 views
0 votes
2 answers
+1 vote
2 answers

how can i count the items in a list?

Syntax :            list. count(value) Code: colors = ['red', 'green', ...READ MORE

answered Jul 6, 2019 in Python by Neha
• 330 points

edited Jul 8, 2019 by Kalgi 1,989 views
0 votes
0 answers
+4 votes
6 answers

Lowercase in Python

You can simply the built-in function in ...READ MORE

answered Apr 11, 2018 in Python by hemant
• 5,810 points
1,523 views
0 votes
3 answers

i am installing wordcloud using pip but i am unable to do that ....i am getting the following error

Hi @ Prajwala  All the members here, I ...READ MORE

answered Sep 14, 2020 in Python by Richa sharma
4,523 views
0 votes
1 answer

I am trying to install visualize on my python 3.8 but i end up with the followinf error.

Hi@Avinash, I think the module name is visualization ...READ MORE

answered Apr 27, 2020 in Python by MD
• 95,140 points
403 views